Thread Class Referenceabstract

## Public Member Functions

bool | start ()
bool | cancel ()
template<class T >
bool | write (T data)

## Public Attributes

volatile bool | running

## Protected Member Functions

virtual void | run ()=0
void | enableAsynchronousCancel ()
template<class T >
T | read ()
template<class T >
bool | read (T *data)

The documentation for this class was generated from the following file:

- libqalculate/util.h